# LayoutsFactory.cpp File Reference

`#include <log4cpp/LayoutsFactory.hh>`
`#include <stdexcept>`

Include dependency graph for LayoutsFactory.cpp:

## Namespaces

namespace | log4cpp

## Functions

std::auto_ptr< Layout > | log4cpp::create_simple_layout (const FactoryParams &params)
std::auto_ptr< Layout > | log4cpp::create_basic_layout (const FactoryParams &params)
std::auto_ptr< Layout > | log4cpp::create_pattern_layout (const FactoryParams &params)
std::auto_ptr< Layout > | log4cpp::create_pass_through_layout (const FactoryParams &params)

## Variables

static LayoutsFactory * | log4cpp::layouts_factory_ = 0